WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Gpicview  (Read 2939 times)

Offline 4-stroke

  • Jr. Member
  • **
  • Posts: 72
Gpicview
« on: October 17, 2009, 10:03:48 PM »
A few months ago I managed to compile Gpicview and make a tce out of it. For some stupid reason I deleted it. I can't remember which version it was.

Well, now when I try to compile version 0.2.1 I get this error:

Code: [Select]
checking for intltool >= 0.40.0... ./configure: ./configure.lineno: line 14760: intltool-update: not found
 found
configure: error: Your intltool is too old.  You need intltool 0.40.0 or later.

I have installed intltool-0.40.5.tczl from the repo, but the error stays.

What to do?



A learning experience is one of those things that say, "You know that thing you just did? Don't do that." - Douglas Adams

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 12410
Re: Gpicview
« Reply #1 on: October 17, 2009, 10:19:03 PM »
You usually see this error when perl or gettext are missing

Offline 4-stroke

  • Jr. Member
  • **
  • Posts: 72
Re: Gpicview
« Reply #2 on: October 17, 2009, 10:46:25 PM »
Installed gettext. No change.

Installed perl. Error changed:

Code: [Select]
checking for perl >= 5.8.1... 5.10.1
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

Installed perl_xml_parser.tcz. Error changed:

Code: [Select]
checking for PACKAGE... configure: error: Package requirements (gtk+-2.0 >= 2.12.0) were not met:

No package 'gtk+-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables PACKAGE_CFLAGS
and PACKAGE_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Installed gtk2-dev.tcz.

Success! Thank you Juanito! :D

I need some more coffee...
« Last Edit: October 17, 2009, 10:49:39 PM by 4-stroke »
A learning experience is one of those things that say, "You know that thing you just did? Don't do that." - Douglas Adams

Offline 4-stroke

  • Jr. Member
  • **
  • Posts: 72
Re: Gpicview
« Reply #3 on: October 17, 2009, 11:29:54 PM »
Not quite the success I hoped for. Fullscreen doesn't work. :-\


A learning experience is one of those things that say, "You know that thing you just did? Don't do that." - Douglas Adams

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 12410
Re: Gpicview
« Reply #4 on: October 17, 2009, 11:37:09 PM »
Did you load the Xorg-7.4-dev extension - required even for Xlibs in the base - you'd think it would complain about missing these, but you never know...

Offline 4-stroke

  • Jr. Member
  • **
  • Posts: 72
Re: Gpicview
« Reply #5 on: October 17, 2009, 11:53:43 PM »
I didn't do that and it didn't complain about it. :-\ I'll do the whole thing again later today.

Thank you for your help. 8)

A learning experience is one of those things that say, "You know that thing you just did? Don't do that." - Douglas Adams

Offline 4-stroke

  • Jr. Member
  • **
  • Posts: 72
Re: Gpicview
« Reply #6 on: October 18, 2009, 02:55:03 AM »
Ok, tried to compile it now with Xorg-7.4-dev installed. Still no fullscreen. No errors when running it from terminal.  ???

Edit: Tried to compile viewnior and it refuses to go fullscreen on both my laptop with xvesa and the eee with xorg. What am I missing here? :-\
« Last Edit: October 18, 2009, 07:06:08 AM by 4-stroke »
A learning experience is one of those things that say, "You know that thing you just did? Don't do that." - Douglas Adams